#!/usr/bin/perl -w

# Copyright 2019 Kevin Ryde
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the Free
# Software Foundation; either version 3, or (at your option) any later
# version.
#
# This file is distributed in the hope that it will be useful, but
# WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY
# or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU General Public License
# for more details.
#
# You should have received a copy of the GNU General Public License along
# with this file.  If not, see <http://www.gnu.org/licenses/>.


use 5.004;
use strict;

use FindBin;
use lib $FindBin::Bin;
use MyAlternate '@dir4_state_table','@dir4_base4_state_table';
use MyPrintwrap ':all';
use MyFLAT;
$|=1;

print "% generated by tools/$FindBin::Script\n";

printwrap_indent("% GP-DEFINE  ");
{
  my $prefix = "dir4_state_table = {[";
  foreach my $state (0 .. $#dir4_state_table) {
    my $semi = $state == $#dir4_state_table ? ' ]};' : ';   ';
    printf "%% GP-DEFINE  %s %s%s \\\\ d=%d\n",
      $prefix,
      join(',',@{$dir4_state_table[$state]}),
      $semi,
      $state;
    $prefix = ' ' x length($prefix);
  }
}
{
  my $prefix = "dir4_base4_state_table = {[";
  foreach my $state (0 .. $#dir4_base4_state_table) {
    my $semi = $state == $#dir4_base4_state_table ? ' ]};' : ';   ';
    printf "%% GP-DEFINE  %s %s%s \\\\ d=%d\n",
      $prefix,
      join(',',@{$dir4_base4_state_table[$state]}),
      $semi,
      $state;
    $prefix = ' ' x length($prefix);
  }
}

print "% end generated\n";
exit 0;
